# Uses of Class
org.opensaml.soap.messaging.context.SOAP11Context

Packages that use SOAP11Context
Package
Description
org.opensaml.soap.client.http
SOAP HTTP client functionality.
org.opensaml.soap.client.soap11.decoder.http.impl
SOAP 1.1 client message decoding support implementations.
org.opensaml.soap.messaging
SOAP messaging support components.
org.opensaml.soap.messaging.context
Context classes in support of SOAP messaging.

## Uses of SOAP11Context in org.opensaml.soap.client.http

Fields in org.opensaml.soap.client.http with type parameters of type SOAP11Context
Modifier and Type
Field
Description
`private Function<MessageContext,SOAP11Context>`
HttpSOAPClient.`soap11ContextLookupStrategy`
Deprecated.
Strategy used to look up the `SOAP11Context` associated with the outbound message context.
Methods in org.opensaml.soap.client.http that return types with arguments of type SOAP11Context
Modifier and Type
Method
Description
`Function<MessageContext,SOAP11Context>`
HttpSOAPClient.`getSOAP11ContextLookupStrategy()`
Deprecated.
Get the strategy used to look up the `SOAP11Context` associated with the outbound message context.
Method parameters in org.opensaml.soap.client.http with type arguments of type SOAP11Context
Modifier and Type
Method
Description
`void`
HttpSOAPClient.`setSOAP11ContextLookupStrategy(Function<MessageContext,SOAP11Context> strategy)`
Deprecated.
Set the strategy used to look up the `SOAP11Context` associated with the outbound message context.

## Uses of SOAP11Context in org.opensaml.soap.client.soap11.decoder.http.impl

Methods in org.opensaml.soap.client.soap11.decoder.http.impl with parameters of type SOAP11Context
Modifier and Type
Method
Description
`protected void`
HttpClientResponseSOAP11Decoder.`processSuccessResponse(org.apache.hc.core5.http.ClassicHttpResponse httpResponse, SOAP11Context soapContext)`
Process a successful response, i.e.

## Uses of SOAP11Context in org.opensaml.soap.messaging

Methods in org.opensaml.soap.messaging that return SOAP11Context
Modifier and Type
Method
Description
`static SOAP11Context`
SOAPMessagingSupport.`ensureSOAP11Context(MessageContext messageContext)`
Get the current `SOAP11Context` for the given `MessageContext`, or create one if necessary.
`static SOAP11Context`
SOAPMessagingSupport.`getSOAP11Context(MessageContext messageContext)`
Get the current `SOAP11Context` for the given `MessageContext`.
`static SOAP11Context`
SOAPMessagingSupport.`getSOAP11Context(MessageContext messageContext, boolean autoCreate)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of SOAP11Context in org.opensaml.soap.messaging.context

Methods in org.opensaml.soap.messaging.context that return SOAP11Context
Modifier and Type
Method
Description
`SOAP11Context`
SOAP11Context.`setEnvelope(Envelope newEnvelope)`
Sets the current SOAP 1.1 Envelope.
`SOAP11Context`
SOAP11Context.`setFault(Fault newFault)`
Set the current SOAP 1.1 Fault related to the current message processing context.
`SOAP11Context`
SOAP11Context.`setHTTPResponseStatus(Integer status)`
Set the optional HTTP response status code to return.